# User Data Types

## Text types

Text types are used to store text. **fylr** supports [`text`](/for-developers/user-data-types/text-text_oneline.md), [`text_oneline`](/for-developers/user-data-types/text-text_oneline.md), [`string`](/for-developers/user-data-types/string.md), [`text_l10n`](/for-developers/user-data-types/text_l10n-text_l10n_oneline.md) and [`text_l10n_oneline`](/for-developers/user-data-types/text_l10n-text_l10n_oneline.md).

## Number types

Number types are used to store numbers. **fylr** supports [`number`](/for-developers/user-data-types/number.md), [`double`](/for-developers/user-data-types/double.md) and [`integer.2`.](/for-developers/user-data-types/integer.2.md)

## Date types

The date types store dates with or without time and also date range. **fylr** supports dates where only the year is given or only the year and month. The types are [`date, datetime`](/for-developers/user-data-types/date-datetime.md) and [`daterange`](/for-developers/user-data-types/daterange.md).

## Other types

**fylr** supports [`boolean`](/for-developers/user-data-types/boolean.md), [`files`](/for-developers/user-data-types/files.md) and [`geojson`](/for-developers/user-data-types/geojson.md) as other types.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fylr.io/for-developers/user-data-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
